@font-face {
  font-family: 'Digital-7 Mono';
  src: url('../fonts/Digital-7Mono.woff2') format('woff2'),
    url('../fonts/Digital-7Mono.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Digital-7';
  src: url('../fonts/Digital-7Italic.woff2') format('woff2'),
    url('../fonts/Digital-7Italic.woff') format('woff');
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Digital-7 Mono';
  src: url('../fonts/Digital-7MonoItalic.woff2') format('woff2'),
    url('../fonts/Digital-7MonoItalic.woff') format('woff');
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Digital-7';
  src: url('../fonts/Digital-7.woff2') format('woff2'),
    url('../fonts/Digital-7.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}


body {
  background-color: tan;
}

.box {
  background-color: #3d4543;
  height: 300px;
  width: 250px;
  border-radius: 10px;
  position: relative;
  top: 80px;
  left: 40%;
}

.display {
  background-color: #222;
  width: 225px;
  position: relative;
  left: 15px;
  top: 20px;
  height: 40px;
}

.display.memory::before {
  font-size: 0.8rem;
  display: inline-block;
  position: absolute;
  content: 'M';
  color: black;
  left: 5px;
  top: 5px;
  z-index: 5;
}

.display input {
  font-family: 'Digital-7 Mono';
  font-weight: 500;
  font-style: italic;
  width: 220px;
  position: relative;
  left: 2px;
  top: 2px;
  height: 35px;
  color: black;
  background-color: #bccd95;
  font-size: 36px;
  text-align: right;
}

.keys {
  position: relative;
  top: 15px;
}

.button {
  width: 40px;
  height: 30px;
  border: none;
  border-radius: 8px;
  margin-left: 17px;
  cursor: pointer;
  border-top: 2px solid transparent;
  outline: none;
}

.button.gray {
  color: white;
  background-color: #6f6f6f;
  border-bottom: black 2px solid;
  border-top: 2px #6f6f6f solid;
}

.button.pink {
  color: black;
  background-color: #ff4561;
  border-bottom: black 2px solid;
}

.button.black {
  color: white;
  background-color: #303030;
  border-bottom: black 2px solid;
  border-top: 2px #303030 solid;
}

.button.orange {
  color: black;
  background-color: #FF9933;
  border-bottom: black 2px solid;
  border-top: 2px #FF9933 solid;
}

.gray:active {
  border-top: black 2px solid;
  border-bottom: 2px #6f6f6f solid;
}

.pink:active {
  border-top: black 2px solid;
  border-bottom: #ff4561 2px solid;
}

.black:active {
  border-top: black 2px solid;
  border-bottom: #303030 2px solid;
}

.orange:active {
  border-top: black 2px solid;
  border-bottom: #FF9933 2px solid;
}

p {
  line-height: 10px;
}

input[disabled] {
  opacity: .5;
}